/*
 *  ConstantBackground.h
 *  Assignment2
 *
 *  Created by Zach Gildersleeve on 1/27/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef CONSTANTBACKGROUND_H
#define CONSTANTBACKGROUND_H

#include "Color.h"
#include "Background.h"

class ConstantBackground : public Background {
	public:
		ConstantBackground(Color newColor);
		~ConstantBackground();
		
		ConstantBackground(const ConstantBackground &bg);
		ConstantBackground &operator=(const ConstantBackground &bg);
		
		virtual void preprocess();
		
		virtual void getBackgroundColor(Color &result, const RenderContext &context, const Ray &ray);

	
	
	private:
		Color backgroundColor;
};

#endif
