/*
 *  HitRecord.cpp
 *  Assignment2
 *
 *  Created by Zach Gildersleeve on 1/28/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include "HitRecord.h"

HitRecord::HitRecord() {
	minT = FLT_MAX;
	primitive = 0;
	material = 0;
}

HitRecord::HitRecord(double newT) : minT(newT) {
	primitive = 0;
	material = 0;
}

HitRecord::~HitRecord() {
	
}

bool HitRecord::hit(double t, const Primitive *hitPrimitive, const Material *hitMaterial) {
	if (t > 1.e-6 && t < minT)
	{
		minT = t;
		primitive = hitPrimitive;
		material = hitMaterial;
		return true;
	}
	else
		return false;
}

