/*
 *  PointLight.cpp
 *  Assignment2
 *
 *  Created by Zach Gildersleeve on 1/28/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include "PointLight.h"

PointLight::PointLight(const Point &newPosition, const Color &newLightColor)
						: position(newPosition), lightColor(newLightColor) {
	
}

PointLight::~PointLight() {
	
}

void PointLight::preprocess() {
	
}

/**
*	Returns normalized direction
*/
double PointLight::getLight(Color &color, Vector &lightDirection,
						  const RenderContext &context,
						  const Point &location) const {
	color = lightColor;
	Vector direction = position - location;
	double distanceToLight = direction.normalize();
	lightDirection = direction;
	return distanceToLight;
}