/*
 *  GradientBackground.h
 *  Assignment2
 *
 *  Created by Zach Gildersleeve on 1/27/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef GRADIENTBACKGROUND_H
#define GRADIENTBACKGROUND_H

#include "Color.h"
#include "Background.h"
#include "Vector.h"
#include "Ray.h"

class GradientBackground : public Background {
	public:
		GradientBackground(Color newColor1, Color newColor2, Vector newUp);
		~GradientBackground();
		
		GradientBackground(const GradientBackground &bg);
		GradientBackground &operator=(const GradientBackground &bg);
		
		virtual void preprocess();
		
		virtual void getBackgroundColor(Color &result, const RenderContext &context, const Ray &ray);
	
	private:
		Color color1;
		Color color2;
		Vector up;
};


#endif